# Spec file for rhdb-utils.
# Author: Liam Stewart <liams@redhat.com> and Andrew Overholt
# <overholt@redhat.com>
# Copyright (C) 2002, 2003 Red Hat, Inc.

Summary: Miscellaneous utilities for PostgreSQL - Red Hat Edition.
Name: rhdb-utils
Version: 2.0
Release: 1
URL: http://www.redhat.com/software/database
License: GPL
Group: Applications/Databases
Distribution: PostgreSQL - Red Hat Edition
BuildRoot: %{_tmppath}/%{name}-root
Buildrequires: postgresql-devel >= 7.3

Source0: http://sources.redhat.com/rhdb/tools/pg_filedump.tar
Patch1: pg_filedump-make.patch
Patch2: pg_filedump-crc.patch

%description
This package contains miscellaneous, non-graphical tools developed for
PostgreSQL - Red Hat Edition.

%prep
rm -rf pg_filedump
tar xf %{SOURCE0}

%patch1 -p0 -b .make
%patch2 -p0 -b .crc

%build
pushd pg_filedump
make
popd

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 pg_filedump/pg_filedump ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/pg_filedump
%doc pg_filedump/ChangeLog pg_filedump/README.pg_filedump

%changelog
* Thu May 29 2003 Andrew Overholt <overholt@redhat.com>
- Bump to version 2.0.
- Modify distribution.
- Increment Buildrequires to >= PostgreSQL 7.3

* Wed Sep 11 2002 Andrew Overholt <overholt@redhat.com>
- Changed revision to 1.

* Fri Jul  8 2002 Liam Stewart <liams@redhat.com>
- Updated summary and description.

* Thu Jul  4 2002 Liam Stewart <liams@redhat.com>
- Updated Source0 entry.

* Wed Jun 26 2002 Liam Stewart <liams@redhat.com>
- Group fix.

* Mon Jun 24 2002 Liam Stewart <liams@redhat.com>
- Initial build.


